Bug 796377 - package deleted from repository that has subscribers does not get removed but disappears from repo
package deleted from repository that has subscribers does not get removed but...
Status: NEW
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
4.3
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-22 14:13 EST by Libor Zoubek
Modified: 2015-11-01 19:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-02-22 14:13:39 EST
Description of problem: In the morning I was not aware of fact, that JON does not suppport deploying WARs from content sources. Anyway, I've found some inconsistency when I try to delete a WAR from content repository.


Version-Release number of selected component (if applicable):
Version: 3.0.1.GA
Build Number: dd8a001:fbca611

How reproducible:always


Steps to Reproduce:
Have EAP5

1. create content repository
2. upload hello.war into that repository, select package type to WAR JbossAS5 - beause we'll deploy it on EAP5
3. deploy modified version of hello.war on EAP5 - using 'Create Child' within EAP's resource
4. wait until hello.war gets discovered by JON
5. navigate to hello.war resource, Content tab, Subscribtions and subscribe it to your content repo
6. Navigate to your content repo, select hello.war and click 'Deploy packages'
7. version of hello.war should appear on EAP
8. Delete hello.war from content repository
  
Actual results: There is a warning saying, that packages that have been deployed won't be deleted. Once you agree with this warning your package disappears from your repo. But, at the same time, you can navigate to hello.war (child resource of EAP) and see it as deployed in the content tab.


Expected results: Packages should not disappear from your repo, because you were notified that it won't if it is or has been deployed.


Additional info:
Comment 1 Mike Foley 2012-02-27 12:12:53 EST
triage 2/27/2012 mfoley, asantos, crouch, loleary

Note You need to log in before you can comment on or make changes to this bug.